Reverse Transactions
Reverse locked transactions.
This call will reverse locked transactions (transactions transferred to payroll and preliminary=0). you can only reverse employees within the unit the API key belongs to. Read more about reversing transactions here
Request
apiKeystringrequired
API key of the unit.
reverseInfosArray<reverseInfo>required
Array of reverseInfo records describing the periods to unlock.
itemreverseInfo
Request payload for wsdlReverseTransactions.
startDatedaterequired
endDatedaterequired
maximum 31 days
badgeNosArray<xsd:string>
maximum 200 employees
unLockSchedulePeriodboolean
validationErrorsArray<xsd:string>
Not an active part of the request. will only be visible in the response.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/ReverseTransactions"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlReverseTransactions>
<apiKey xsi:type="xsd:string">string</apiKey>
<reverseInfos xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:reverseInfo[1]">
<item xsi:type="tns:reverseInfo">
<startDate xsi:type="xsd:date">2019-01-01</startDate>
<endDate xsi:type="xsd:date">2019-01-30</endDate>
<badgeNos xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</badgeNos>
<unLockSchedulePeriod xsi:type="xsd:boolean">true</unLockSchedulePeriod>
<validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</validationErrors>
</item>
</reverseInfos>
</tns:wsdlReverseTransactions>
</soap:Body>
</soap:Envelope>
EOFResponse
returnArray<reverseInfo>
Array of reverseInfo records reflecting the unlock results.
itemreverseInfo
Request payload for wsdlReverseTransactions.
startDatedaterequired
endDatedaterequired
maximum 31 days
badgeNosArray<xsd:string>
maximum 200 employees
unLockSchedulePeriodboolean
validationErrorsArray<xsd:string>
Not an active part of the request. will only be visible in the response.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlReverseTransactionsResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:reverseInfo[1]">
<item xsi:type="tns:reverseInfo">
<startDate xsi:type="xsd:date">2019-01-01</startDate>
<endDate xsi:type="xsd:date">2019-01-30</endDate>
<badgeNos xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</badgeNos>
<unLockSchedulePeriod xsi:type="xsd:boolean">true</unLockSchedulePeriod>
<validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</validationErrors>
</item>
</return>
</tns:wsdlReverseTransactionsResponse>
</soap:Body>
</soap:Envelope>Change log
| Date | Description |
|---|---|
| 2020-01-27 | Method created. |
| 2021-03-25 | unLockSchedulePeriod |